Inventory

Inventory Brands

An InventoryBrand represents a brand for inventory items.

get/inventory/brands

List Inventory Brands

listInventoryBrands

This endpoint retrieves a list of all the inventory brands for the given organisation.

Query parameters

  • site_iduuidrequired

    Filter inventory brands by site.

  • archivedbooleanoptional

    Whether to include archived resources in the response. When true, archived resources are returned; when false or omitted, only non-archived resources are returned.

  • querystringoptional

    A search query to filter inventory brands by. This will search the brand name.

  • pageintegeroptional

    The page to retrieve results from

  • per_pageintegeroptional

    The number of results to return per page

Responses

  • 200

    The inventory brands were successfully retrieved

  • 401

    The user is unauthenticated

post/inventory/brands

Create an Inventory Brand

createInventoryBrand

This endpoint creates an inventory brand for the given organisation.

Request body

  • namestringrequired

    Human-readable name of the inventory brand, shown in the inventory admin UI and on supplier order forms. Trimmed; must be 1-120 characters and not contain HTML.

Responses

  • 201

    The inventory brand was successfully retrieved

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 422

    The request didn't pass validation

get/inventory/brands/{brandId}

Show an Inventory Brand

getInventoryBrand

This endpoint retrieves an inventory brand for the given organisation.

Path parameters

  • brandIduuidrequired

    Stable identifier for the InventoryBrand. Inventory brands group together suppliers, products and stock locations for a consistent merchandising experience across multiple sites that share the same retail catalogue.

Responses

  • 200

    The inventory brand was successfully retrieved

  • 401

    The user is unauthenticated

  • 404

    The resource couldn't be found

put/inventory/brands/{brandId}

Update an Inventory Brand

updateInventoryBrand

This endpoint updates an inventory brand for the given organisation.

Path parameters

  • brandIduuidrequired

    Stable identifier for the InventoryBrand. Inventory brands group together suppliers, products and stock locations for a consistent merchandising experience across multiple sites that share the same retail catalogue.

Request body

  • namestringoptional

    Human-readable name of the inventory brand, shown in the inventory admin UI and on supplier order forms. Trimmed; must be 1-120 characters and not contain HTML.

Responses

  • 200

    The inventory brand was successfully retrieved

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found

  • 422

    The request didn't pass validation

delete/inventory/brands/{brandId}

Archive an Inventory Brand

deleteInventoryBrand

This endpoint soft deletes an inventory brand for the given organisation.

Path parameters

  • brandIduuidrequired

    Stable identifier for the InventoryBrand. Inventory brands group together suppliers, products and stock locations for a consistent merchandising experience across multiple sites that share the same retail catalogue.

Responses

  • 204

    The inventory brand was successfully archived.

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found

post/inventory/brands/{brandId}/restore

Restore an Inventory Brand

restoreInventoryBrand

This endpoint restores an archived (soft-deleted) inventory brand by ID.

Path parameters

  • brandIduuidrequired

    Stable identifier for the InventoryBrand. Inventory brands group together suppliers, products and stock locations for a consistent merchandising experience across multiple sites that share the same retail catalogue.

Responses

  • 200

    The inventory brand was successfully retrieved

  • 401

    The user is unauthenticated

  • 403

    The authenticated user does not have permission.

  • 404

    The resource couldn't be found